Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1222)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1223)
@@ -2100,8 +2100,6 @@
 , m_updateRepFormatFlag       (false)
 , m_updateRepFormatIndex      (0)
-#if SCALINGLIST_INFERRING
-, m_inferScalingListFlag ( false )
-, m_scalingListRefLayerId ( 0 )
-#endif
+, m_inferScalingListFlag      ( false )
+, m_scalingListRefLayerId     ( 0 )
 #endif //SVC_EXTENSION
 {
@@ -2132,5 +2130,5 @@
 TComSPS::~TComSPS()
 {
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
   if( !m_inferScalingListFlag )
 #endif
@@ -2299,9 +2297,7 @@
 #if SVC_EXTENSION
 , m_extensionFlag(false)
-#if SCALINGLIST_INFERRING
 , m_layerId(0)
 , m_inferScalingListFlag ( false )
 , m_scalingListRefLayerId ( 0 )
-#endif
 , m_pocResetInfoPresentFlag   (false)
 , m_numRefLayerLocationOffsets  ( 0 )
@@ -2334,5 +2330,5 @@
 TComPPS::~TComPPS()
 {
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
   if( !m_inferScalingListFlag )
 #endif
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1222)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1223)
@@ -1375,8 +1375,6 @@
   Bool        m_updateRepFormatFlag;
   UInt        m_updateRepFormatIndex;
-#if SCALINGLIST_INFERRING
   Bool        m_inferScalingListFlag;
   UInt        m_scalingListRefLayerId;
-#endif
 #endif //SVC_EXTENSION
 
@@ -1508,5 +1506,5 @@
   Void setScalingListPresentFlag( Bool b ) { m_scalingListPresentFlag  = b;       }
 
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
   Void setScalingList( TComScalingList *scalingList ) { m_scalingList = scalingList; }
 #else
@@ -1547,10 +1545,8 @@
   Int      getUpdateRepFormatIndex()                { return m_updateRepFormatIndex;  }
   Void     setUpdateRepFormatIndex(UInt index)      { m_updateRepFormatIndex = index; }
-#if SCALINGLIST_INFERRING
   Bool     getInferScalingListFlag()                { return m_inferScalingListFlag;  }
   UInt     getScalingListRefLayerId()               { return m_scalingListRefLayerId; }
   Void     setInferScalingListFlag( Bool flag )     { m_inferScalingListFlag = flag;     }
   Void     setScalingListRefLayerId( UInt layerId ) { m_scalingListRefLayerId = layerId; }
-#endif
 #endif //SVC_EXTENSION
 };
@@ -1652,9 +1648,7 @@
 #if SVC_EXTENSION
   Bool     m_extensionFlag;
-#if SCALINGLIST_INFERRING
   UInt     m_layerId;
   Bool     m_inferScalingListFlag;
   UInt     m_scalingListRefLayerId;
-#endif
   Bool     m_pocResetInfoPresentFlag;
   UInt     m_numRefLayerLocationOffsets;
@@ -1787,5 +1781,5 @@
   Void     setScalingListPresentFlag( Bool b ) { m_scalingListPresentFlag  = b;       }
 
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
   Void     setScalingList( TComScalingList *scalingList ) { m_scalingList = scalingList; }
 #else
@@ -1806,5 +1800,4 @@
   Int     getExtensionFlag()                                  { return m_extensionFlag;  }
   Void    setExtensionFlag(Int n)                             { m_extensionFlag = n;     }
-#if SCALINGLIST_INFERRING
   UInt     getLayerId()                                       { return m_layerId; }
   Void     setLayerId( UInt layerId )                         { m_layerId = layerId;            }
@@ -1813,5 +1806,4 @@
   Void     setInferScalingListFlag( Bool flag )               { m_inferScalingListFlag = flag;     }
   Void     setScalingListRefLayerId( UInt layerId )           { m_scalingListRefLayerId = layerId; }
-#endif
   Bool     getPocResetInfoPresentFlag()                       { return m_pocResetInfoPresentFlag; }
   Void     setPocResetInfoPresentFlag(const Bool val)         { m_pocResetInfoPresentFlag = val;  }
Index: branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1222)
+++ branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1223)
@@ -56,6 +56,4 @@
 #endif
 
-#define SCALINGLIST_INFERRING            1      ///< JCTVC-N0371: inter-layer scaling list
-
 #define AVC_BASE                         1      ///< YUV BL reading for AVC base SVC
 #define SVC_POC                          1      ///< POC signalling and reset
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1222)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1223)
@@ -397,5 +397,4 @@
             pcPPS->setPocResetInfoPresentFlag(uiCode ? true : false);
 
-#if SCALINGLIST_INFERRING
             READ_FLAG( uiCode, "pps_infer_scaling_list_flag" );
             pcPPS->setInferScalingListFlag( uiCode );
@@ -409,5 +408,4 @@
               pcPPS->setScalingListPresentFlag( false );
             }
-#endif
 
             READ_UVLC( uiCode,      "num_ref_loc_offsets" ); pcPPS->setNumRefLayerLocationOffsets(uiCode);
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1222)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1223)
@@ -460,5 +460,4 @@
 
 #if SVC_EXTENSION
-#if SCALINGLIST_INFERRING
   // scaling list settings and checks
   TComVPS *activeVPS = m_parameterSetManagerDecoder.getActiveVPS();
@@ -524,5 +523,4 @@
 
   }
-#endif
 
 #if AVC_BASE
@@ -1796,5 +1794,5 @@
     pcSlice->setScalingList ( pcSlice->getSPS()->getScalingList()  );
 
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
     if( pcSlice->getPPS()->getScalingListPresentFlag() || pcSlice->getPPS()->getInferScalingListFlag() )
 #else
@@ -1804,5 +1802,6 @@
       pcSlice->setScalingList ( pcSlice->getPPS()->getScalingList()  );
     }
-#if SCALINGLIST_INFERRING
+
+#if SVC_EXTENSION
     if( m_layerId == 0 || ( m_layerId > 0 && !pcSlice->getPPS()->getInferScalingListFlag() && !pcSlice->getSPS()->getInferScalingListFlag() ) )
 #endif
@@ -1866,5 +1865,5 @@
   TComPPS* pps = new TComPPS();
 
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
   pps->setLayerId( m_layerId );
 #endif
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 1222)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 1223)
@@ -250,7 +250,7 @@
   Void                    setCommonDecoderParams(CommonDecoderParams* x)    { m_commonDecoderParams = x;    }
   Void      checkValueOfTargetOutputLayerSetIdx(TComVPS *vps);
-#if SCALINGLIST_INFERRING
+
   ParameterSetManagerDecoder* getParameterSetManager()                      { return &m_parameterSetManagerDecoder; }
-#endif
+
 #if CONFORMANCE_BITSTREAM_MODE
   std::vector<TComPic>* getConfListPic() {return &m_confListPic; }
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1222)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1223)
@@ -306,5 +306,5 @@
           case PPS_EXT__MLAYER:
             WRITE_FLAG( pcPPS->getPocResetInfoPresentFlag() ? 1 : 0, "poc_reset_info_present_flag" );
-#if SCALINGLIST_INFERRING
+
             WRITE_FLAG( pcPPS->getInferScalingListFlag() ? 1 : 0, "pps_infer_scaling_list_flag" );
             if( pcPPS->getInferScalingListFlag() )
@@ -314,5 +314,4 @@
               WRITE_CODE( pcPPS->getScalingListRefLayerId(), 6, "pps_scaling_list_ref_layer_id" );
             }
-#endif
 
             WRITE_UVLC( pcPPS->getNumRefLayerLocationOffsets(),      "num_ref_loc_offsets" );
@@ -644,5 +643,5 @@
   if(pcSPS->getScalingListFlag())
   {
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
     if( !V1CompatibleSPSFlag )
     {
@@ -665,5 +664,5 @@
       codeScalingList( m_pcSlice->getScalingList() );
     }
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
     }
 #endif
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1222)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1223)
@@ -1262,5 +1262,5 @@
     else if(m_pcEncTop->getUseScalingListId() == SCALING_LIST_DEFAULT)
     {
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
       // inferring of the scaling list can be moved to the config file
       UInt refLayerId = 0;
@@ -1283,5 +1283,5 @@
       m_pcEncTop->getPPS()->setScalingListPresentFlag(false);
 
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
       }
 #endif
@@ -1292,5 +1292,5 @@
     else if(m_pcEncTop->getUseScalingListId() == SCALING_LIST_FILE_READ)
     {
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
       // inferring of the scaling list can be moved to the config file
       UInt refLayerId = 0;
@@ -1320,5 +1320,5 @@
       m_pcEncTop->getPPS()->setScalingListPresentFlag(false);
 
-#if SCALINGLIST_INFERRING
+#if SVC_EXTENSION
     }
 #endif
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1222)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1223)
@@ -999,7 +999,5 @@
   
 #if SVC_EXTENSION
-#if SCALINGLIST_INFERRING
   m_cPPS.setLayerId( m_layerId );
-#endif
 
   if( !m_numDirectRefLayers && m_numAddLayerSets )
